/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/
#include "fxlib.h"
void jeu();
void creditsFonc();
void barresFonc();

//****************************************************************************
//  AddIn_main (Sample program main function)
//
//  param   :   isAppli   : 1 = This application is launched by MAIN MENU.
//                        : 0 = This application is launched by a strip in eACT application.
//
//              OptionNum : Strip number (0~3)
//                         (This parameter is only used when isAppli parameter is 0.)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
const unsigned char barres[]={0xcf, 0xb7, 0x87, 0xb7, 0xcf, 0xcf, 0xb7, 0x87, 0xb7, 0xcf, 0xcf, 0xb7, 0x87, 0xb7, 0xcf, 0xcf, 0xb7, 0x87, 0xb7, 0xcf, 0xcf, 0xb7, 0x87, 0xb7, 0xcf, };
const unsigned char GetReady[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x10, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x7e, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x10, 0x81, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x31, 0x3c, 0x80, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x31, 0x4, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd1, 0x4, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x11, 0xff, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x81, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x20, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x31, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x20, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x31, 0x24, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd1, 0x24, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x11, 0x24, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd1, 0xff, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x4, 0x80, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x31, 0xfc, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x11, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd1, 0xfc, 0x80, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x4, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x7, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x1, 0x80, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x83, 0xff, 0xff, 0xff, 0xf0, 0x1, 0x40, 0x0, 0x3, 0xc0, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0xab, 0xff, 0xff, 0xff, 0xea, 0xf1, 0x40, 0x0, 0x4, 0x20, 0x0, 0x0, 0x0, 0x1, 0xff, 0x80, 0xbb, 0xff, 0xff, 0xff, 0xfd, 0x8, 0xc0, 0x60, 0x88, 0x50, 0x20, 0x0, 0x0, 0x1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xeb, 0xc4, 0x0, 0x91, 0xb, 0xd0, 0x1, 0x0, 0xc0, 0x1, 0x0, 0x80, 0x93, 0xff, 0xff, 0xff, 0xf1, 0x24, 0x81, 0x3c, 0x8, 0x50, 0x0, 0x0, 0xa0, 0x1, 0xc4, 0x80, 0xef, 0xff, 0xff, 0xff, 0xe9, 0x65, 0x41, 0x2, 0xc8, 0x10, 0x1, 0x78, 0xa0, 0x1, 0x0, 0x80, 0x93, 0xff, 0xff, 0xff, 0xf0, 0xc4, 0x81, 0x1c, 0xb, 0x90, 0x6, 0x84, 0x60, 0x1, 0x11, 0x0, 0xff, 0xff, 0xff, 0xff, 0xed, 0x24, 0x1, 0x9, 0x9, 0x50, 0x49, 0xe2, 0x0, 0x1, 0xfe, 0x0, 0x83, 0xff, 0xff, 0xff, 0xf3, 0x68, 0xc1, 0x10, 0x8b, 0x90, 0x8, 0x92, 0x40, 0x0, 0x81, 0x0, 0xab, 0xff, 0xff, 0xff, 0xe8, 0xf1, 0x40, 0xe0, 0x8, 0x10, 0xc, 0xb2, 0xa0, 0x1, 0x0, 0x80, 0xbb, 0xff, 0xff, 0xff, 0xf0, 0x1, 0x40, 0x0, 0x3b, 0xd2, 0x8, 0x62, 0x40, 0x1, 0x24, 0x80, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0x80, 0x0, 0x11, 0x50, 0x6, 0x92, 0x0, 0x1, 0x24, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x0, 0x0, 0x8, 0x90, 0x1, 0xb4, 0x60, 0x1, 0x24, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x10, 0x0, 0x0, 0x4, 0x20, 0x0, 0x78, 0xa0, 0x1, 0xff, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x20, 0x0, 0x0, 0x3, 0xc0, 0x0, 0x0, 0xa0, 0x1, 0x1, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x20, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xc0, 0x1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xe4, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x1, 0x0, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfc, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xff, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x3c, 0x80, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x81, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0xff, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x30, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x20, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x7, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x1, 0x0, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x80, 0x80, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x7f, 0x80, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x10, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x2, 0x10, 0x0, 0x0, };
const unsigned char GetReady1[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0x81, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0x3c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0x4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0x4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0x81, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0x24, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0x24, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0x24, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x83, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xab, 0xff, 0xff, 0xff, 0xef, 0xff, 0x7f, 0xff, 0xfc, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xfd, 0xf, 0xff, 0xff, 0xf8, 0x5f, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xeb, 0xc7, 0xff, 0x9f, 0xfb, 0xdf, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0x93, 0xff, 0xff, 0xff, 0xf1, 0x27, 0xff, 0x3f, 0xf8, 0x5f, 0xff, 0xff, 0xbf, 0xff, 0xc4, 0xff, 0xef, 0xff, 0xff, 0xff, 0xe9, 0x67, 0x7f, 0x3, 0xf8, 0x1f, 0xff, 0xff, 0xbf, 0xff, 0x0, 0xff, 0x93, 0xff, 0xff, 0xff, 0xf0, 0xc7, 0xff, 0x1f, 0xfb, 0x9f, 0xfe, 0x87, 0xff, 0xff, 0x11, 0xff, 0xff, 0xff, 0xff, 0xff, 0xed, 0x27, 0xff, 0xf, 0xf9, 0x5f, 0xf9, 0xe3, 0xff, 0xff, 0xff, 0xff, 0x83, 0xff, 0xff, 0xff, 0xff, 0x6f, 0xff, 0x1f, 0xfb, 0x9f, 0xf8, 0x93, 0xff, 0xff, 0x81, 0xff, 0xab, 0xff, 0xff, 0xff, 0xef, 0xff, 0x7f, 0xff, 0xf8, 0x1f, 0xfc, 0xb3, 0xbf, 0xff, 0x0, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7f, 0xff, 0xfb, 0xdf, 0xf8, 0x63, 0xff, 0xff, 0x24, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xf1, 0x5f, 0xfe, 0x93, 0xff, 0xff, 0x24, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xff, 0xff, 0xf8, 0x9f, 0xff, 0xb7, 0xff, 0xff, 0x24, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x1f, 0xff, 0xff, 0xfc, 0x3f, 0xff, 0xff, 0xbf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0x1, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x1, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x81, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x30, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x20, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, };
const unsigned char marteauCentre[]={0x7e, 0x0, 0x7f, 0x81, 0x0, 0x7f, 0x81, 0x0, 0x7f, 0x81, 0x0, 0x7f, 0x81, 0x0, 0x7f, 0x7e, 0x6d, 0xff, 0x7e, 0x6d, 0xff, 0x81, 0x0, 0x7f, 0x81, 0x0, 0x7f, 0x81, 0x0, 0x7f, 0x81, 0x0, 0x7f, 0x7e, 0x0, 0x7f, };
const unsigned char marteauCentre1[]={0xff, 0xff, 0xff, 0x81, 0xff, 0xff, 0x81, 0xff, 0xff, 0x81, 0xff, 0xff, 0x81, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x81, 0xff, 0xff, 0x81, 0xff, 0xff, 0x81, 0xff, 0xff, 0x81, 0xff, 0xff, 0xff, 0xff, 0xff, };
const unsigned char marteauDroite[]={0x6, 0x0, 0x3f, 0x19, 0x0, 0x3f, 0x61, 0x0, 0xff, 0x80, 0x86, 0xff, 0x80, 0xb6, 0x3f, 0x43, 0x30, 0x3f, 0x4f, 0xc0, 0x3f, 0x3f, 0x20, 0x3f, 0xc, 0x20, 0x3f, 0x10, 0x10, 0x3f, 0x10, 0x10, 0x3f, 0x8, 0x60, 0x3f, 0x9, 0x80, 0x3f, 0x6, 0x0, 0x3f, };
const unsigned char marteauDroite1[]={0xff, 0xff, 0xff, 0xf9, 0xff, 0xff, 0xe1, 0xff, 0xff, 0x80, 0xff, 0xff, 0x80, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xcf, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xfc, 0x3f, 0xff, 0xf0, 0x1f, 0xff, 0xf0, 0x1f, 0xff, 0xf8, 0x7f, 0xff, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, };
const unsigned char marteauGauche[]={0x6, 0x0, 0x3f, 0x9, 0x80, 0x3f, 0x8, 0x60, 0x3f, 0x10, 0x10, 0x3f, 0x10, 0x10, 0x3f, 0xc, 0x20, 0x3f, 0x3f, 0x20, 0x3f, 0x4f, 0xc0, 0x3f, 0x43, 0x30, 0x3f, 0x80, 0xb6, 0x3f, 0x80, 0x86, 0xff, 0x61, 0x0, 0xff, 0x19, 0x0, 0x3f, 0x6, 0x0, 0x3f, };
const unsigned char marteauGauche1[]={0xff, 0xff, 0xff, 0xf9, 0xff, 0xff, 0xf8, 0x7f, 0xff, 0xf0, 0x1f, 0xff, 0xf0, 0x1f, 0xff, 0xfc, 0x3f, 0xff, 0xff, 0x3f, 0xff, 0xcf, 0xff, 0xff, 0xc3, 0xff, 0xff, 0x80, 0xff, 0xff, 0x80, 0xff, 0xff, 0xe1, 0xff, 0xff, 0xf9, 0xff, 0xff, 0xff, 0xff, 0xff, };
const unsigned char nuages[]={0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x8, 0x0, 0x0, 0xf, 0xf0, 0x0, 0x0, 0x10, 0x8, 0x0, 0x0, 0xf, 0xf0, 0x0, 0x0, 0x10, 0xf0, 0x0, 0x0, 0x10, 0x8, 0x0, 0x0, 0xf, 0xf0, 0x0, 0x0, 0x10, 0x8, 0x0, 0x0, 0xf, 0x0, 0x0, 0x0, 0x20, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x2, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x20, 0x4, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x10, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xf, 0xf0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, };
const unsigned char GameOver[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x5a, 0x0, 0x83, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x42, 0x0, 0xab, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x5a, 0x0, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x41, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0, 0x0, 0x66, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x42, 0x0, 0x0, 0x0, 0x10, 0x7, 0xe0, 0x0, 0x66, 0x0, 0x93, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x8, 0x10, 0x0, 0x5a, 0x0, 0xef, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x7, 0xc8, 0x10, 0x8, 0x0, 0x42, 0x0, 0x93, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x0, 0x88, 0x13, 0xc8, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0xfc, 0x1, 0x8, 0x10, 0x48, 0x0, 0x66, 0x0, 0x83, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xc4, 0x1, 0x2, 0x0, 0x88, 0x10, 0x48, 0x0, 0x66, 0x0, 0xab, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x4, 0x6, 0x1, 0x87, 0xc8, 0x1f, 0xf8, 0x0, 0x5a, 0x0, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x4, 0x4, 0x0, 0x80, 0x8, 0x10, 0x10, 0x0, 0x42, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x4, 0x8, 0x0, 0x47, 0xc8, 0x10, 0x8, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x4, 0x8, 0x0, 0x25, 0x48, 0x1e, 0x48, 0x0, 0x66, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x4, 0x10, 0x0, 0x24, 0x48, 0x10, 0x8, 0x0, 0x66, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x4, 0x10, 0x0, 0x20, 0x8, 0x10, 0x10, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xf9, 0xfc, 0x88, 0x4, 0x10, 0x0, 0x27, 0xc8, 0x1f, 0xf8, 0x0, 0x42, 0x0, 0xff, 0xff, 0xff, 0xf8, 0xf8, 0x88, 0x4, 0x10, 0x0, 0x24, 0x48, 0x10, 0x8, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x70, 0x90, 0x4, 0x8, 0x0, 0x23, 0x88, 0x10, 0x8, 0x0, 0x66, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x20, 0xfc, 0x4, 0x8, 0x0, 0x40, 0x8, 0x1f, 0xc8, 0x0, 0x66, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x84, 0x4, 0x4, 0x0, 0x87, 0x88, 0x10, 0x8, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x84, 0x4, 0x6, 0x1, 0x81, 0x48, 0x10, 0x8, 0x0, 0x42, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x84, 0x4, 0x1, 0x86, 0x7, 0x88, 0x1f, 0xc8, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xc4, 0x0, 0x78, 0x0, 0x8, 0x10, 0x8, 0x0, 0x66, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x7, 0xc8, 0x10, 0x10, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x4, 0x8, 0x1f, 0xe0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x4, 0x8, 0x8, 0x10, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x0, 0x8, 0x10, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x12, 0x48, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x12, 0x48, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x12, 0x48, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x1f, 0xf8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x7, 0xe0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xc4, 0x0, 0x0, 0x0, 0x8, 0x8, 0x10, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x4, 0x0, 0x0, 0x0, 0x8, 0x10, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x4, 0x0, 0x0, 0x0, 0x8, 0x13, 0xc8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x4, 0x0, 0x0, 0x0, 0x8, 0x10, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x4, 0x0, 0x0, 0x2, 0x48, 0x8, 0x10, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x4, 0x0, 0x0, 0x2, 0xa8, 0x1f, 0xf8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x4, 0x0, 0x0, 0x1, 0x28, 0x10, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x4, 0x0, 0x0, 0x0, 0x8, 0x10, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x88, 0x4, 0x1, 0xf0, 0x1, 0xc8, 0x11, 0xf8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x88, 0x4, 0x1, 0x50, 0x2, 0x28, 0x8, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0xfc, 0x4, 0x0, 0xa0, 0x2, 0x28, 0x4, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x84, 0x4, 0x0, 0x0, 0x0, 0x8, 0x7, 0xf8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x84, 0x4, 0x1, 0xf0, 0x1, 0xc8, 0x8, 0x10, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x84, 0x4, 0x1, 0x50, 0x2, 0x28, 0x10, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0xff, 0xc4, 0x1, 0x10, 0x1, 0xc8, 0x12, 0x48, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x0, 0x8, 0x12, 0x48, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x1, 0x20, 0x3, 0xe8, 0x12, 0x48, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x1, 0x50, 0x0, 0xa8, 0x1f, 0xf8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x90, 0x3, 0x48, 0x10, 0x8, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x0, 0x0, 0x8, 0x10, 0x8, 0x0, 0x0, 0x0, 0xc7, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x0, 0x10, 0x3, 0xe8, 0x1c, 0x48, 0x0, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x44, 0x1, 0xf0, 0x2, 0xa8, 0x10, 0x8, 0x0, 0x66, 0x0, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x44, 0x0, 0x10, 0x2, 0x28, 0x11, 0x10, 0x0, 0x5a, 0x0, 0xef, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x44, 0x0, 0x0, 0x0, 0x8, 0x1f, 0xe0, 0x0, 0x42, 0x0, 0xef, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x42, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x41, 0xff, 0xff, 0xff, 0xe0, 0x0, 0x0, 0x0, 0x66, 0x0, 0xbb, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x66, 0x0, 0xc7, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x5a, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x42, 0x0, };
const unsigned char GameOver1[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdb, 0xff, 0x83, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc3, 0xff, 0xab, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdb, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7e, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xff, 0xe7, 0xff, 0x93, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xf8, 0x1f, 0xff, 0xdb, 0xff, 0xef, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x7, 0xcf, 0xf0, 0xf, 0xff, 0xc3, 0xff, 0x93, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x0, 0x8f, 0xf3, 0xcf, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0xfc, 0x1, 0xf, 0xf0, 0x4f, 0xff, 0xe7, 0xff, 0x83, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xfc, 0x1, 0x2, 0x0, 0x8f, 0xf0, 0x4f, 0xff, 0xe7, 0xff, 0xab, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xfc, 0x6, 0x1, 0x87, 0xcf, 0xff, 0xff, 0xff, 0xdb, 0xff, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xfc, 0x4, 0x0, 0x80, 0xf, 0xf0, 0x1f, 0xff, 0xc3, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xfc, 0x8, 0x0, 0x47, 0xcf, 0xf0, 0xf, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xfc, 0x8, 0x0, 0x25, 0x4f, 0xfe, 0x4f, 0xff, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xfc, 0x10, 0x0, 0x24, 0x4f, 0xf0, 0xf, 0xff, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xfc, 0x10, 0x0, 0x20, 0xf, 0xf0, 0x1f, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xfc, 0x8f, 0xfc, 0x10, 0x0, 0x27, 0xcf, 0xff, 0xff, 0xff, 0xc3, 0xff, 0xff, 0xff, 0xff, 0xf8, 0xf8, 0x8f, 0xfc, 0x10, 0x0, 0x24, 0x4f, 0xf0, 0xf, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x70, 0x9f, 0xfc, 0x8, 0x0, 0x23, 0x8f, 0xf0, 0xf, 0xff, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x20, 0xff, 0xfc, 0x8, 0x0, 0x40, 0xf, 0xff, 0xcf, 0xff, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x87, 0xfc, 0x4, 0x0, 0x87, 0x8f, 0xf0, 0xf, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x87, 0xfc, 0x6, 0x1, 0x81, 0x4f, 0xf0, 0xf, 0xff, 0xc3, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x87, 0xfc, 0x1, 0x86, 0x7, 0x8f, 0xff, 0xcf, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xfc, 0x0, 0x78, 0x0, 0xf, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x7, 0xcf, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x4, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x4, 0xf, 0xf8, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xf2, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xf2, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xf2, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xfc, 0x0, 0x0, 0x0, 0xf, 0xf8, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xfc, 0x0, 0x0, 0x0, 0xf, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xfc, 0x0, 0x0, 0x0, 0xf, 0xf3, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xfc, 0x0, 0x0, 0x0, 0xf, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xfc, 0x0, 0x0, 0x2, 0x4f, 0xf8, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xfc, 0x0, 0x0, 0x2, 0xaf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xfc, 0x0, 0x0, 0x1, 0x2f, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xfc, 0x0, 0x0, 0x0, 0xf, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x8f, 0xfc, 0x1, 0xf0, 0x1, 0xcf, 0xf1, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x8f, 0xfc, 0x1, 0x50, 0x2, 0x2f, 0xf8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0xff, 0xfc, 0x0, 0xa0, 0x2, 0x2f, 0xfc, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x87, 0xfc, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x87, 0xfc, 0x1, 0xf0, 0x1, 0xcf, 0xf8, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x87, 0xfc, 0x1, 0x50, 0x2, 0x2f, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0xff, 0xfc, 0x1, 0x10, 0x1, 0xcf, 0xf2, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xf2, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x1, 0x20, 0x3, 0xef, 0xf2, 0x4f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x1, 0x50, 0x0, 0xaf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x90, 0x3, 0x4f, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xc7, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x0, 0x10, 0x3, 0xef, 0xfc, 0x4f, 0xff, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7c, 0x1, 0xf0, 0x2, 0xaf, 0xf0, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7c, 0x0, 0x10, 0x2, 0x2f, 0xf1, 0x1f, 0xff, 0xdb, 0xff, 0xef, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7c, 0x0, 0x0, 0x0, 0xf, 0xff, 0xff, 0xff, 0xc3, 0xff, 0xef, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7e, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe7, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe7, 0xff, 0xc7, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdb, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc3, 0xff, };
const unsigned char medal01[]={0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xfe, 0xf, 0xff, 0xfd, 0xbf, 0xff, 0xf8, 0x47, 0xff, 0xee, 0x43, 0xff, 0xf0, 0x1, 0xff, 0xc0, 0x1c, 0xff, 0xc8, 0xe2, 0xff, 0xd5, 0x82, 0xff, 0xdd, 0xfa, 0xff, 0xc8, 0xfe, 0xff, 0xe0, 0x1c, 0xff, 0xe0, 0x1, 0xff, 0xf0, 0x7, 0xff, 0xf8, 0x3b, 0xff, 0xfe, 0xf, 0xff, 0xff, 0xff, 0xff, };
const unsigned char medal11[]={0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xfe, 0xf, 0xff, 0xff, 0xbf, 0xff, 0xf8, 0x47, 0xff, 0xee, 0x43, 0xff, 0xf0, 0x1, 0xff, 0xc6, 0x18, 0xff, 0xc9, 0x24, 0xff, 0xc9, 0xe4, 0xff, 0xc8, 0x4, 0xff, 0xc8, 0x4, 0xff, 0xe9, 0xf8, 0xff, 0xe9, 0x1, 0xff, 0xf6, 0x7, 0xff, 0xf8, 0x3b, 0xff, 0xfe, 0xf, 0xff, 0xff, 0xff, 0xff, };
const unsigned char medal21[]={0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xbf, 0xff, 0xfe, 0xf, 0xff, 0xf9, 0xbf, 0xff, 0xf0, 0x47, 0xff, 0xee, 0x43, 0xff, 0xf0, 0x1, 0xff, 0xc7, 0xd8, 0xff, 0xc8, 0x24, 0xff, 0xc8, 0x24, 0xff, 0xc9, 0x24, 0xff, 0xc9, 0x4, 0xff, 0xe9, 0x4, 0xff, 0xe6, 0xf9, 0xff, 0xf0, 0x3, 0xff, 0xf8, 0x7, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, };
const unsigned char medal31[]={0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfd, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xf8, 0x7, 0xff, 0xee, 0x3, 0xff, 0xf0, 0x1, 0xff, 0xc6, 0xd8, 0xff, 0xc9, 0x24, 0xff, 0xc9, 0x24, 0xff, 0xc9, 0x24, 0xff, 0xc8, 0x4, 0xff, 0xe8, 0x4, 0xff, 0xe7, 0xf9, 0xff, 0xf0, 0x3, 0xff, 0xf8, 0x7, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, };
const unsigned char medal0[]={0x0, 0x40, 0x7f, 0x0, 0x40, 0x7f, 0x1, 0xb0, 0x7f, 0x1e, 0xf, 0x7f, 0x1, 0xb0, 0x7f, 0x10, 0x46, 0x7f, 0xee, 0x42, 0x7f, 0x10, 0x1, 0x7f, 0x0, 0x1c, 0xff, 0x48, 0xe2, 0xff, 0x55, 0x82, 0xff, 0x5d, 0xfa, 0xff, 0x48, 0xfe, 0xff, 0x20, 0x1c, 0xff, 0x20, 0x1, 0x7f, 0x10, 0x4, 0x7f, 0x18, 0x3b, 0xff, 0x6, 0x4, 0x7f, 0x1, 0xe0, 0x7f, };
const unsigned char medal1[]={0x0, 0x40, 0x7f, 0x0, 0x40, 0x7f, 0x1, 0xb0, 0x7f, 0x1e, 0xf, 0x7f, 0x1, 0xb0, 0x7f, 0x10, 0x46, 0x7f, 0xee, 0x42, 0x7f, 0x10, 0x1, 0x7f, 0x6, 0x18, 0xff, 0x49, 0x24, 0xff, 0x49, 0xe4, 0xff, 0x48, 0x4, 0xff, 0x48, 0x4, 0xff, 0x29, 0xf8, 0xff, 0x29, 0x1, 0x7f, 0x16, 0x4, 0x7f, 0x18, 0x3b, 0xff, 0x6, 0x4, 0x7f, 0x1, 0xe0, 0x7f, };
const unsigned char medal2[]={0x0, 0x40, 0x7f, 0x0, 0x40, 0x7f, 0x1, 0xb0, 0x7f, 0x1e, 0xf, 0x7f, 0x1, 0xb0, 0x7f, 0x10, 0x46, 0x7f, 0xee, 0x42, 0x7f, 0x10, 0x1, 0x7f, 0x7, 0xd8, 0xff, 0x48, 0x24, 0xff, 0x48, 0x24, 0xff, 0x49, 0x24, 0xff, 0x49, 0x4, 0xff, 0x29, 0x4, 0xff, 0x26, 0xf9, 0x7f, 0x10, 0x2, 0x7f, 0x18, 0x6, 0x7f, 0x6, 0x18, 0x7f, 0x1, 0xe0, 0x7f, };
const unsigned char medal3[]={0x0, 0x0, 0x7f, 0x0, 0x0, 0x7f, 0x2, 0x0, 0x7f, 0x1d, 0xc0, 0x7f, 0x2, 0x18, 0x7f, 0x10, 0x6, 0x7f, 0xee, 0x2, 0x7f, 0x10, 0x1, 0x7f, 0x6, 0xd8, 0xff, 0x49, 0x24, 0xff, 0x49, 0x24, 0xff, 0x49, 0x24, 0xff, 0x48, 0x4, 0xff, 0x28, 0x4, 0xff, 0x27, 0xf9, 0x7f, 0x10, 0x2, 0x7f, 0x18, 0x6, 0x7f, 0x6, 0x18, 0x7f, 0x1, 0xe0, 0x7f, };
const unsigned char SwingCopters[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0x83, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x2, 0x10, 0x0, 0x0, 0x0, 0x0, 0xab, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x40, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0x93, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x40, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xef, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x0, 0x2, 0x10, 0x0, 0x0, 0x0, 0x0, 0x93, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0x83, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0xab, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x0, 0x0, 0x0, 0x1, 0xfa, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x0, 0x0, 0x0, 0x2, 0x6, 0x10, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x0, 0x0, 0x0, 0x4, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x0, 0x0, 0x0, 0x4, 0xf3, 0x30, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x0, 0x0, 0x0, 0x4, 0x92, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x0, 0x0, 0x0, 0x4, 0xf2, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0xfc, 0x88, 0x0, 0x0, 0x0, 0x7, 0xfe, 0x67, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0xf8, 0x88, 0x0, 0x0, 0x0, 0x2, 0x4, 0x98, 0x80, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x70, 0x90, 0x0, 0x0, 0x0, 0x4, 0x2, 0x90, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x20, 0xfc, 0x0, 0x0, 0x0, 0x4, 0xf2, 0x82, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x84, 0x0, 0x0, 0x0, 0x4, 0x2, 0x86, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x84, 0x0, 0x0, 0x0, 0x2, 0x4, 0x4e, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x84, 0x0, 0x0, 0x0, 0x7, 0xfe, 0xff, 0xc0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xc0, 0x0, 0x0, 0x4, 0x2, 0x80, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x4, 0x2, 0x80, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x3, 0x32, 0x9f, 0x80, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x1, 0x2, 0x80, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x1, 0x2, 0x80, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x40, 0x0, 0x0, 0x0, 0xfe, 0x9f, 0x80, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x40, 0x0, 0x0, 0x0, 0x12, 0x80, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x7, 0xf2, 0x40, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x4, 0x2, 0x7f, 0x80, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x4, 0x2, 0x80, 0x40, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x40, 0x0, 0x0, 0x7, 0xf2, 0x80, 0x40, 0x30, 0x0, 0x0, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x40, 0x0, 0x0, 0x0, 0x12, 0xff, 0xc0, 0x28, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xc0, 0x0, 0x0, 0x1, 0xfe, 0x80, 0x5e, 0x28, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x0, 0x0, 0x0, 0x2, 0x4, 0x80, 0x61, 0x18, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x0, 0x0, 0x0, 0x4, 0x2, 0x7e, 0x78, 0x80, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x88, 0x0, 0x0, 0x0, 0x4, 0x92, 0x80, 0x64, 0x90, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x90, 0x0, 0x0, 0x0, 0x4, 0x92, 0x80, 0xac, 0xa8, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x0, 0x0, 0x0, 0x4, 0x92, 0xff, 0x18, 0x90, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xa0, 0x0, 0x0, 0x0, 0x7, 0xfe, 0x40, 0xa4, 0x80, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x90, 0x0, 0x0, 0x0, 0x4, 0x2, 0x80, 0x6d, 0x18, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x88, 0x0, 0x0, 0x0, 0x4, 0x2, 0x9e, 0x5e, 0x28, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x88, 0x0, 0x0, 0x0, 0x7, 0x12, 0x82, 0x40, 0x28, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0xfc, 0x0, 0x0, 0x0, 0x4, 0x2, 0x82, 0x40, 0x30, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x84, 0x0, 0x0, 0x0, 0x4, 0x44, 0xff, 0xc0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x84, 0x0, 0x0, 0x0, 0x7, 0xf8, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x84, 0x0, 0x0, 0x0, 0x4, 0xc4, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xc0, 0x0, 0x0, 0x4, 0x82, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x4, 0x13, 0x30, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x4, 0x32, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x2, 0x72, 0x10, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x1, 0xfe, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0xc7, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x40, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x40, 0x0, 0x0, 0x0, 0x2, 0x10, 0x0, 0x0, 0x0, 0x0, 0xef, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x40, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xef, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x3, 0x30, 0x0, 0x0, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, 0xc7, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x2, 0x10, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x0, 0x0, 0x0, 0x0, 0x2, 0xd0, 0x0, 0x0, 0x0, 0x0, };
const unsigned char SwingCopters1[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0x83, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xab, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0x93, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, 0x93, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0x83, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xab, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xff, 0xff, 0xff, 0xfe, 0x6, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xff, 0xff, 0xff, 0xfc, 0x2, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xff, 0xff, 0xff, 0xfc, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xff, 0xff, 0xff, 0xfc, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xff, 0xff, 0xff, 0xfc, 0xf3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0xfc, 0x8f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0xf8, 0x8f, 0xff, 0xff, 0xff, 0xfe, 0x7, 0x98, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x70, 0x9f, 0xff, 0xff, 0xff, 0xfc, 0x3, 0x90, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x20, 0xff, 0xff, 0xff, 0xff, 0xfc, 0xf3, 0x82, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x87, 0xff, 0xff, 0xff, 0xfc, 0x3, 0x86, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x87, 0xff, 0xff, 0xff, 0xfe, 0x7, 0xce, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x87, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x3, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xfc, 0x3, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0x33, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0x3, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0x3, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xf3, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xf3, 0xc0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xfc, 0x3, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xfc, 0x3, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xf3, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xf3, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x80, 0x7f, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xff, 0xff, 0xff, 0xfe, 0x7, 0x80, 0x61, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xff, 0xff, 0xff, 0xfc, 0x3, 0xfe, 0x78, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x8f, 0xff, 0xff, 0xff, 0xfc, 0x93, 0x80, 0x64, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x9f, 0xff, 0xff, 0xff, 0xfc, 0x93, 0x80, 0xac, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xff, 0xff, 0xff, 0xfc, 0x93, 0xff, 0x18, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xbf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xc0, 0xa4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x9f, 0xff, 0xff, 0xff, 0xfc, 0x3, 0x80, 0x6d, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x8f, 0xff, 0xff, 0xff, 0xfc, 0x3, 0x9e, 0x7f, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x8f, 0xff, 0xff, 0xff, 0xff, 0x13, 0x82, 0x7f, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x3, 0x82, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x87, 0xff, 0xff, 0xff, 0xfc, 0x47, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x87, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf9, 0x6c, 0x87, 0xff, 0xff, 0xff, 0xfc, 0xc7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x83, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xfc, 0x13, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xfc, 0x32, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xfe, 0x72, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xc7, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xf8, 0x0, 0x80, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfc, 0x1, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xfe, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xc7, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xfe, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xfe, 0xdf, 0xff, 0xff, 0xff, 0xff, };
const unsigned char Credits[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x2, 0x0, 0x20, 0x0, 0x0, 0x0, 0xb4, 0x0, 0x0, 0x83, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x40, 0x2, 0x0, 0x20, 0x0, 0x0, 0x0, 0x84, 0x0, 0x0, 0xab, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x40, 0x2, 0x8, 0x20, 0x0, 0x0, 0x0, 0xb4, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x43, 0xfe, 0x1c, 0x3f, 0xc0, 0x0, 0x0, 0xcc, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x44, 0x2, 0x3e, 0x20, 0x20, 0x0, 0x0, 0xcc, 0x0, 0x0, 0x93, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x48, 0x2, 0x7f, 0x20, 0x10, 0x0, 0x0, 0xb4, 0x0, 0x0, 0xef, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0x2, 0x0, 0x20, 0x10, 0x0, 0x0, 0x84, 0x0, 0x0, 0x93, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x48, 0x2, 0x0, 0x20, 0x10, 0x0, 0x0, 0xb4, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0x1, 0x0, 0x40, 0x10, 0x0, 0x0, 0xcc, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc8, 0x0, 0xff, 0x80, 0x10, 0x0, 0x0, 0xcc, 0x0, 0x0, 0x83, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x8, 0x0, 0x0, 0x1c, 0x10, 0x0, 0x7e, 0xb4, 0x0, 0x0, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0x8, 0xb, 0xff, 0x0, 0x22, 0x10, 0x0, 0x81, 0x84, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0xb, 0xff, 0x0, 0x3a, 0x10, 0x1, 0x0, 0xb4, 0x0, 0x0, 0xfb, 0xff, 0xff, 0xff, 0xe8, 0x20, 0x8, 0x33, 0x0, 0x0, 0x10, 0x1, 0x3c, 0xcc, 0x0, 0x0, 0x83, 0xff, 0xff, 0xff, 0xf0, 0x20, 0x8, 0x33, 0x0, 0x3c, 0x10, 0x1, 0x24, 0x80, 0x0, 0x0, 0xfb, 0xff, 0xff, 0xff, 0xe8, 0x10, 0xb, 0xcc, 0x0, 0xa, 0x10, 0x1, 0x3c, 0x80, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0xb, 0xcc, 0x0, 0x3c, 0x10, 0x1, 0xff, 0x99, 0xc0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x8, 0x0, 0x48, 0x0, 0x10, 0x0, 0x81, 0x26, 0x20, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0xb, 0xff, 0x54, 0x3e, 0x10, 0x1, 0x0, 0xa4, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfc, 0xb, 0xff, 0x24, 0x4, 0x10, 0x1, 0x3c, 0xa0, 0x90, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0xb, 0x0, 0x0, 0x8, 0x10, 0x1, 0x0, 0xa1, 0x90, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x4, 0xb, 0x0, 0x7c, 0x4, 0x10, 0x0, 0x81, 0x13, 0x90, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0xb, 0xff, 0x54, 0x3e, 0x10, 0x1, 0xff, 0xbf, 0xf0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xcb, 0xff, 0x44, 0x0, 0x10, 0x1, 0x0, 0xa0, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0x0, 0x0, 0x3e, 0x10, 0x1, 0x0, 0xa0, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x4b, 0xff, 0x7c, 0x2a, 0x10, 0x0, 0xcc, 0xa7, 0xe0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x4b, 0xff, 0x54, 0x22, 0x10, 0x0, 0x40, 0xa0, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x48, 0xc, 0x44, 0x0, 0x10, 0x0, 0x40, 0xa0, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0xc, 0x0, 0x0, 0x10, 0x0, 0x3f, 0xa7, 0xe0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x48, 0x30, 0x0, 0x0, 0x10, 0x0, 0x4, 0xa0, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0x30, 0x0, 0x3e, 0x10, 0x1, 0xfc, 0x90, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x4b, 0xff, 0x78, 0x2a, 0x10, 0x1, 0x0, 0x9f, 0xe0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x4b, 0xff, 0x14, 0x14, 0x10, 0x1, 0x0, 0xa0, 0x10, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x48, 0x0, 0x78, 0x0, 0x10, 0x1, 0xfc, 0xa0, 0x10, 0xc, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x4b, 0xff, 0x0, 0x6, 0x10, 0x0, 0x4, 0xbf, 0xf0, 0xa, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xcb, 0xff, 0x7c, 0x38, 0x10, 0x0, 0x7f, 0xa0, 0x17, 0x8a, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x8, 0xc, 0x40, 0x6, 0x10, 0x0, 0x81, 0x20, 0x18, 0x46, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x8, 0xc, 0x40, 0x0, 0x10, 0x1, 0x0, 0x9f, 0x9e, 0x20, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x8, 0x30, 0x0, 0x0, 0x10, 0x1, 0x24, 0xa0, 0x19, 0x24, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x10, 0x8, 0x30, 0x48, 0x0, 0x10, 0x1, 0x24, 0xa0, 0x2b, 0x2a, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x20, 0xb, 0xff, 0x54, 0x0, 0x10, 0x1, 0x24, 0xbf, 0xc6, 0x24, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x20, 0xb, 0xff, 0x24, 0xff, 0x10, 0x1, 0xff, 0x90, 0x29, 0x20, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x8, 0x0, 0x0, 0x80, 0x90, 0x1, 0x0, 0xa0, 0x1b, 0x46, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0xb, 0xff, 0x38, 0x80, 0x50, 0x1, 0x0, 0xa7, 0x97, 0x8a, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0xb, 0xff, 0x44, 0xf2, 0x50, 0x1, 0xc4, 0xa0, 0x90, 0xa, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfc, 0xb, 0x33, 0x38, 0x80, 0x50, 0x1, 0x0, 0xa0, 0x90, 0xc, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0xb, 0x33, 0x0, 0x80, 0x90, 0x1, 0x11, 0x3f, 0xf0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x4, 0xb, 0x3, 0x0, 0xff, 0x90, 0x1, 0xfe, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0xb, 0x3, 0x0, 0x86, 0x50, 0x1, 0x31, 0x0, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc8, 0x0, 0x0, 0x82, 0x50, 0x1, 0x20, 0x80, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x4b, 0xff, 0x0, 0x90, 0x50, 0x1, 0x4, 0xcc, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x4b, 0xff, 0x0, 0x98, 0x50, 0x1, 0xc, 0xb4, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0x33, 0x0, 0x7f, 0xd0, 0x0, 0x9c, 0x84, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x48, 0x33, 0x0, 0x0, 0x10, 0x0, 0x7f, 0xb4, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x4b, 0xcc, 0x0, 0x0, 0x10, 0x0, 0x0, 0xcc, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x4b, 0xcc, 0x0, 0x0, 0x10, 0x0, 0x0, 0xcc, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0xb4, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x48, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0x84, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x48, 0x0, 0x0, 0x0, 0x10, 0x0, 0x0, 0xb4, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x44, 0x0, 0x0, 0x0, 0x20, 0x0, 0x0, 0xcc, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x43, 0xff, 0xff, 0xff, 0xc0, 0x0, 0x0, 0xcc, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xc0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xb4, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x84, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xb4, 0x0, 0x0, };
const unsigned char Credits1[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xfe, 0x0, 0x3f, 0xff, 0xff, 0xff, 0xb7, 0xff, 0xff, 0x83, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xfe, 0x0, 0x3f, 0xff, 0xff, 0xff, 0x87, 0xff, 0xff, 0xab, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xfe, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xfe, 0x1c, 0x3f, 0xff, 0xff, 0xff, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7c, 0x2, 0x3e, 0x20, 0x3f, 0xff, 0xff, 0xcf, 0xff, 0xff, 0x93, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x78, 0x2, 0x7f, 0x20, 0x1f, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0x2, 0x0, 0x20, 0x1f, 0xff, 0xff, 0x87, 0xff, 0xff, 0x93, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x78, 0x2, 0x0, 0x20, 0x1f, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0x1, 0x0, 0x40, 0x1f, 0xff, 0xff, 0xcf, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xef, 0xff, 0xf8, 0x0, 0xff, 0x80, 0x1f, 0xff, 0xff, 0xcf, 0xff, 0xff, 0x83, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xf8, 0x0, 0x0, 0x1c, 0x1f, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xbb, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xfb, 0xff, 0x0, 0x22, 0x1f, 0xff, 0x81, 0x87, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xfb, 0xff, 0x0, 0x3a, 0x1f, 0xff, 0x0, 0xb7, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xe8, 0x3f, 0xf8, 0x33, 0x0, 0x0, 0x1f, 0xff, 0x3c, 0xff, 0xff, 0xff, 0x83, 0xff, 0xff, 0xff, 0xf0, 0x3f, 0xf8, 0x33, 0x0, 0x3c, 0x1f, 0xff, 0x3c, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xe8, 0x1f, 0xfb, 0xcc, 0x0, 0xa, 0x1f, 0xff, 0x3c, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xfb, 0xcc, 0x0, 0x3c, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xf8, 0x0, 0x48, 0x0, 0x1f, 0xff, 0x81, 0xe6, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xfb, 0xff, 0x54, 0x3e, 0x1f, 0xff, 0x0, 0xe4, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xfb, 0xff, 0x24, 0x4, 0x1f, 0xff, 0x3c, 0xe0, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xfb, 0x0, 0x0, 0x8, 0x1f, 0xff, 0x0, 0xe1, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x7, 0xfb, 0x0, 0x7c, 0x4, 0x1f, 0xff, 0x81, 0xf3, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xfb, 0xff, 0x54, 0x3e, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xfb, 0xff, 0x44, 0x0, 0x1f, 0xff, 0x0, 0xe0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0x0, 0x0, 0x3e, 0x1f, 0xff, 0x0, 0xe0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7b, 0xff, 0x7c, 0x2a, 0x1f, 0xff, 0xcc, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7b, 0xff, 0x54, 0x22, 0x1f, 0xff, 0xc0, 0xe0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x78, 0xc, 0x44, 0x0, 0x1f, 0xff, 0xc0, 0xe0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0xc, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xe7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x78, 0x30, 0x0, 0x0, 0x1f, 0xff, 0xfc, 0xe0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0x30, 0x0, 0x3e, 0x1f, 0xff, 0xfc, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7b, 0xff, 0x78, 0x2a, 0x1f, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7b, 0xff, 0x14, 0x14, 0x1f, 0xff, 0x0, 0xe0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x78, 0x0, 0x78, 0x0, 0x1f, 0xff, 0xfc, 0xe0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7b, 0xff, 0x0, 0x6, 0x1f, 0xff, 0xfc, 0xff, 0xff, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xfb, 0xff, 0x7c, 0x38, 0x1f, 0xff, 0xff, 0xe0, 0x1f, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xf8, 0xc, 0x40, 0x6, 0x1f, 0xff, 0x81, 0xe0, 0x18, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xf8, 0xc, 0x40, 0x0, 0x1f, 0xff, 0x0, 0xff, 0x9e, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xf8, 0x30, 0x0, 0x0, 0x1f, 0xff, 0x24, 0xe0, 0x19, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x1f, 0xf8, 0x30, 0x48, 0x0, 0x1f, 0xff, 0x24, 0xe0, 0x2b, 0x3b, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x3f, 0xfb, 0xff, 0x54, 0x0, 0x1f, 0xff, 0x24, 0xff, 0xc6, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x3f, 0xfb, 0xff, 0x24, 0xff, 0x1f, 0xff, 0xff, 0xf0, 0x29, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xf8, 0x0, 0x0, 0x80, 0x9f, 0xff, 0x0, 0xe0, 0x1b, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xfb, 0xff, 0x38, 0x80, 0x5f, 0xff, 0x0, 0xe7, 0x9f, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xf0, 0xf, 0xfb, 0xff, 0x44, 0xf2, 0x5f, 0xff, 0xc4, 0xe0, 0x9f, 0xfb, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xfb, 0x33, 0x38, 0x80, 0x5f, 0xff, 0x0, 0xe0, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xfb, 0x33, 0x0, 0x80, 0x9f, 0xff, 0x11, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x7, 0xfb, 0x3, 0x0, 0xff, 0x9f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x7, 0xfb, 0x3, 0x0, 0x86, 0x5f, 0xff, 0x31, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xf8, 0x0, 0x0, 0x82, 0x5f, 0xff, 0x20, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7b, 0xff, 0x0, 0x90, 0x5f, 0xff, 0x4, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7b, 0xff, 0x0, 0x98, 0x5f, 0xff, 0xc, 0xb7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0x33, 0x0, 0x7f, 0xdf, 0xff, 0x9c, 0x87, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x78, 0x33, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7b, 0xcc, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7b, 0xcc, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x78, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0x87, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x78, 0x0, 0x0, 0x0, 0x1f, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7c, 0x0, 0x0, 0x0, 0x3f, 0xff, 0xff, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xcf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xb7, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x1f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x87, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0xf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xb7, 0xff, 0xff, };
const unsigned char new[]={0xff, 0x83, 0xf7, 0xef, 0x83, 0xff, 0x83, 0xab, 0xbb, 0xff, 0x83, 0xbf, 0xdf, 0xbf, 0x83, 0xff, };
const unsigned char sol[]={0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xfb, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xf1, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xe0, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xfe, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xe6, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xf8, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x20, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x20, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x10, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfc, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x4, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x3f, 0xff, 0xff, 0xfb, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xf1, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xe0, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xe0, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xea, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xee, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xe4, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xfb, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xe4, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xe0, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xea, 0xff, 0xf0, 0x10, 0x3f, 0xff, 0xff, 0xee, 0xff, 0xe8, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x3f, 0xff, 0xff, 0xe0, 0xff, 0xe8, 0x10, 0x3f, 0xff, 0xff, 0xf1, 0xff, 0xf0, 0x20, 0x3f, 0xff, 0xff, 0xfb, 0xff, 0xe8, 0x20, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x10, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x8, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xef, 0xfc, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x4, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x4, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xe0, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xee, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xe0, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x0, 0x7f, 0xff, 0xff, 0xe0, 0xff, 0xf0, 0x0, 0x7f, 0xff, 0xff, 0xf1, 0xff, 0xef, 0xff, 0xff, 0xff, 0xff, 0xfb, 0xff, 0xf0, 0x10, 0x3f, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x8, 0x3f, };
const unsigned char n0[]={0xff, 0x83, 0xbb, 0x83, 0xff, };
const unsigned char n1[]={0xef, 0xbb, 0x83, 0xbf, 0xe1, };
const unsigned char n2[]={0xff, 0x8b, 0xab, 0xa3, 0xff, };
const unsigned char n3[]={0xef, 0xbb, 0xab, 0x83, 0xff, };
const unsigned char n4[]={0x1f, 0x13, 0xf7, 0x83, 0xff, };
const unsigned char n5[]={0xff, 0xa3, 0xab, 0x8b, 0xff, };
const unsigned char n6[]={0xff, 0x83, 0xab, 0x8b, 0xff, };
const unsigned char n7[]={0xf, 0xb, 0xfb, 0x83, 0xff, };
const unsigned char n8[]={0xff, 0x83, 0xab, 0x83, 0xff, };
const unsigned char n9[]={0xff, 0xa3, 0xab, 0x83, 0xff, };
const unsigned char swing[]={0x0, 0xd, 0x0, 0xb, 0x17, 0x8b, 0x68, 0x47, 0x9e, 0x21, 0x89, 0x25, 0xcb, 0x2b, 0x86, 0x25, 0x69, 0x21, 0x1b, 0x47, 0x7, 0x8b, 0x0, 0xb, 0x0, 0xd, };
const unsigned char swing1[]={0x0, 0x1, 0x0, 0x1, 0x17, 0x81, 0x68, 0x4d, 0x9e, 0x2b, 0x89, 0x2b, 0xcb, 0x2b, 0x86, 0x2f, 0x69, 0x27, 0x1b, 0x41, 0x7, 0x81, 0x0, 0x1, 0x0, 0x1, };
const unsigned char swing1black[]={0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xe8, 0x7f, 0x9e, 0x3b, 0x89, 0x3b, 0xcb, 0x3b, 0x86, 0x3f, 0xe9, 0x3f, 0xfb, 0x7f, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, };
const unsigned char swing2[]={0x3c, 0x0, 0x4a, 0x0, 0xa7, 0x0, 0x46, 0x80, 0x29, 0x40, 0x3b, 0x20, 0x26, 0x22, 0x2c, 0x25, 0x18, 0x49, 0x8, 0x8a, 0x7, 0x24, 0x0, 0x50, 0x1, 0x20, 0x2, 0x80, 0x4, 0x80, 0x5, 0x0, 0x2, 0x0, };
const unsigned char swing2black[]={0xff, 0xff, 0xcb, 0xff, 0xa7, 0xff, 0xc6, 0xff, 0xe9, 0x7f, 0xfb, 0x3f, 0xe6, 0x3f, 0xec, 0x3d, 0xf8, 0x79, 0xf8, 0xfb, 0xff, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xfe, 0xff, 0xfc, 0xff, 0xfd, 0xff, 0xff, 0xff, };
const unsigned char swing21[]={0x3c, 0x0, 0x4a, 0x0, 0xa7, 0x0, 0x46, 0x80, 0x29, 0x40, 0x3b, 0x20, 0x26, 0x20, 0x2c, 0x20, 0x18, 0x40, 0x8, 0x90, 0x7, 0x28, 0x0, 0x48, 0x0, 0xd0, 0x0, 0xe0, 0x0, 0x40, 0x0, 0x0, 0x0, 0x0, };
const unsigned char swing21black[]={0xff, 0xff, 0xcb, 0xff, 0xa7, 0xff, 0xc6, 0xff, 0xe9, 0x7f, 0xfb, 0x3f, 0xe6, 0x3f, 0xec, 0x3f, 0xf8, 0x7f, 0xf8, 0xff, 0xff, 0xef, 0xff, 0xcf, 0xff, 0xdf, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, };
const unsigned char swingblack[]={0xff, 0xff, 0xff, 0xfb, 0xff, 0xfb, 0xe8, 0x7f, 0x9e, 0x3f, 0x89, 0x3f, 0xcb, 0x3b, 0x86, 0x3f, 0xe9, 0x3f, 0xfb, 0x7f, 0xff, 0xfb, 0xff, 0xfb, 0xff, 0xff, };
const unsigned char swing3[]={0x2, 0x0, 0x5, 0x0, 0x4, 0x80, 0x2, 0x80, 0x1, 0x20, 0x0, 0x50, 0x7, 0x24, 0x8, 0x8a, 0x18, 0x49, 0x2c, 0x25, 0x26, 0x22, 0x3b, 0x20, 0x29, 0x40, 0x46, 0x80, 0xa7, 0x0, 0x4a, 0x0, 0x3c, 0x0, };
const unsigned char swing3black[]={0xff, 0xff, 0xfd, 0xff, 0xfc, 0xff, 0xfe, 0xff, 0xff, 0xff, 0xff, 0xdf, 0xff, 0xff, 0xf8, 0xfb, 0xf8, 0x79, 0xec, 0x3d, 0xe6, 0x3f, 0xfb, 0x3f, 0xe9, 0x7f, 0xc6, 0xff, 0xa7, 0xff, 0xcb, 0xff, 0xff, 0xff, };
const unsigned char swing31[]={0x0, 0x0, 0x0, 0x0, 0x0, 0x40, 0x0, 0xe0, 0x0, 0xd0, 0x0, 0x48, 0x7, 0x28, 0x8, 0x90, 0x18, 0x40, 0x2c, 0x20, 0x26, 0x20, 0x3b, 0x20, 0x29, 0x40, 0x46, 0x80, 0xa7, 0x0, 0x4a, 0x0, 0x3c, 0x0, };
const unsigned char swing31black[]={0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xdf, 0xff, 0xcf, 0xff, 0xef, 0xf8, 0xff, 0xf8, 0x7f, 0xec, 0x3f, 0xe6, 0x3f, 0xfb, 0x3f, 0xe9, 0x7f, 0xc6, 0xff, 0xa7, 0xff, 0xcb, 0xff, 0xff, 0xff, };
const unsigned char broken1[]={0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x38, 0x1, 0x48, 0xd, 0x71, 0x15, 0x2, 0x95, 0x1, 0x19, 0x0, 0x1, 0x1f, 0x1, 0x20, 0x81, 0x40, 0x41, 0x4d, 0xc1, 0x56, 0xc1, 0x52, 0x41, 0x3d, 0x81, 0x50, 0x81, 0x21, 0x1, 0x25, 0x1, 0x1e, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, };
const unsigned char broken2[]={0x0, 0x1, 0x70, 0x1, 0x90, 0x1, 0xe0, 0x7, 0x0, 0xb, 0x0, 0xb, 0x0, 0xd, 0x0, 0x1, 0x0, 0x81, 0x1, 0x41, 0x0, 0x81, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x3e, 0x1, 0x41, 0x1, 0x80, 0x81, 0x9b, 0x81, 0xad, 0x81, 0xa4, 0x81, 0x7b, 0x1, 0xa1, 0x1, 0x42, 0x1, 0x4a, 0x1, 0x3c, 0x1, 0x0, 0x1, };
const unsigned char broken3[]={0x0, 0x1, 0x70, 0x1, 0x90, 0x1, 0xe0, 0x7, 0x0, 0xb, 0x0, 0xb, 0x0, 0xd, 0x0, 0x1, 0x0, 0x81, 0x1, 0x41, 0x0, 0x81, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x1c, 0x1, 0x22, 0x1, 0x43, 0x1, 0x86, 0x81, 0x8c, 0x81, 0x9b, 0x81, 0x52, 0x81, 0x2c, 0x41, 0x1c, 0xa1, 0xa, 0x41, 0x7, 0x81, 0x0, 0x1, };
const unsigned char broken4[]={0x0, 0x1, 0x70, 0x1, 0x90, 0x1, 0xe0, 0x7, 0x0, 0xb, 0x0, 0xb, 0x0, 0xd, 0x0, 0x1, 0x0, 0x81, 0x1, 0x41, 0x0, 0x81, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x3c, 0x1, 0x5b, 0x1, 0x92, 0xc1, 0x8c, 0x21, 0x9a, 0x61, 0x92, 0x21, 0x8f, 0x21, 0x42, 0xc1, 0x3d, 0x1, 0x0, 0x1, 0x0, 0x1, };
const unsigned char broken5[]={0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x0, 0x1, 0x78, 0x1, 0xb6, 0x1, 0x25, 0x81, 0x18, 0x41, 0x34, 0xc1, 0x24, 0x41, 0x1e, 0x41, 0x85, 0x81, 0x7a, 0x1, 0x0, 0x1, 0x0, 0x1, };
int init = 1;
int colision = 0;  //oui colision avec un seul L parce que j ai la flemme de tout changer...
int barresX = 128;
int barresY = -8;
int barresX1 = 128;
int barresY1 = 0;
int barresX2 = 192;
int barresY2 = 0;
int interval= 42;
int r = 1;
int nuagesX = 128;
int copterX = 35;
int copterY = 24;
int direction = 1;
int preDirection = 3;
int touche = 0;
int rotation = 1;
int locale = 1;
int timer = 0;
int start=1;
int HIscore= 0;
int newScore =0;
int score =0;
int AddIn_main(int isAppli, unsigned short OptionNum){
    while(1){
    	if(!IsKeyDown(KEY_CTRL_EXE)){break;}
    }
    while(init){
    	barresX= 86;
        barresY= -13;
    	ML_clear_vram();
        if(r<=2){                                           //mateaux
        	ML_bmp_or_cl(marteauGauche, barresX-19, barresY+11, 18, 14);
            ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+11, 18, 14);
            ML_bmp_or_cl(marteauGauche, barresX-19, barresY+19+38, 18, 14);
            ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+19+38, 18, 14);
        }
        if(r==3 || r==4 || r>= 7){
        	ML_bmp_or_cl(marteauCentre, barresX-18, barresY+16, 17, 12);
            ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+16, 17, 12);
            ML_bmp_or_cl(marteauCentre, barresX-18, barresY+24+38, 17, 12);
            ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+24+38, 17, 12);
        }
        if(r==5 || r==6){
        	ML_bmp_or_cl(marteauDroite, barresX-19, barresY+19, 18, 14);
            ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+19, 18, 14);
            ML_bmp_or_cl(marteauDroite, barresX-19, barresY+27+38, 18, 14);
            ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+27+38, 18, 14);
        }
        Sleep(50);
        r = r+1;
        if(r==8){
            r=1;
        }
        ML_bmp_or_cl(SwingCopters, 0, 0, 128, 64);
        ML_bmp_and_cl(SwingCopters1, 0, 0, 128, 64);
        Sleep(50);
        if (IsKeyDown(KEY_CTRL_EXE)){
        	while(IsKeyDown(KEY_CTRL_EXE)){
                ML_rectangle(29, 5, 39, 28, 0, 0, 3);
                ML_display_vram();
        	}
            jeu();
            ML_clear_vram();
        }
        if (IsKeyDown(KEY_CTRL_MENU)){
        	while(IsKeyDown(KEY_CTRL_MENU)){
                ML_rectangle(0, 0, 128, 64, 0, 0, 3);
                ML_display_vram();
        	}
            init= 0;
        }
        if (IsKeyDown(KEY_CHAR_PMINUS)){
        	while(IsKeyDown(KEY_CHAR_PMINUS)){
                ML_rectangle(29, 34, 39, 57, 0, 0, 3);
                ML_display_vram();
        	}
            creditsFonc();
            ML_clear_vram();
        }
        ML_display_vram();
        Sleep(50);
    }
    return 1;
}
void barresFonc(){
    ML_bmp_or_cl(barres, barresX, barresY, 6, 25);                       // AFFICHAGE barres
    ML_bmp_and_cl(barres, barresX, barresY, 6, 25);
    ML_bmp_or_cl(barres, barresX, barresY+25+interval, 6, 25);
    ML_bmp_and_cl(barres, barresX, barresY+25+interval, 6, 25);
    if(r<=2){                                                           //AFFICHAGE mateaux
    	ML_bmp_or_cl(marteauGauche, barresX-19, barresY+9, 18, 14);
        ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+9, 18, 14);
        ML_bmp_or_cl(marteauGauche, barresX-19, barresY+19+interval, 18, 14);
        ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+19+interval, 18, 14);
    }
    if(r==3 || r==4 || r>= 7){
    	ML_bmp_or_cl(marteauCentre, barresX-18, barresY+14, 17, 12);
        ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+14, 17, 12);
        ML_bmp_or_cl(marteauCentre, barresX-18, barresY+24+interval, 17, 12);
        ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+24+interval, 17, 12);
    }
    if(r==5 || r==6){
    	ML_bmp_or_cl(marteauDroite, barresX-19, barresY+17, 18, 14);
        ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+17, 18, 14);
        ML_bmp_or_cl(marteauDroite, barresX-19, barresY+27+interval, 18, 14);
        ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+27+interval, 18, 14);
    }
    barresX = barresX - 2;                                           //MOUVEMENT BARRES
    if(barresX<-6){
    	barresY = rand()%(24)-24;
    	barresX = 128;
    }
}
void jeu(){
    colision = 0;
    while(!(IsKeyDown(KEY_CTRL_EXIT))){
    	while(1){
    		if(!IsKeyDown(KEY_CTRL_EXE)){break;}
    	}
        while(!(IsKeyDown(KEY_CTRL_EXIT)) && !(IsKeyDown(KEY_CTRL_EXE)) && !colision){
        	ML_clear_vram();
            barresX= 102;
            barresY= -3;
        	if(r<=2){                                           //mateaux
            	ML_bmp_or_cl(marteauGauche, barresX-19, barresY+11, 18, 14);
                ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+11, 18, 14);
                ML_bmp_or_cl(marteauGauche, barresX-19, barresY+19+38, 18, 14);
                ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+19+38, 18, 14);
            }
            if(r==3 || r==4 || r>= 7){
            	ML_bmp_or_cl(marteauCentre, barresX-18, barresY+16, 17, 12);
                ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+16, 17, 12);
                ML_bmp_or_cl(marteauCentre, barresX-18, barresY+24+38, 17, 12);
                ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+24+38, 17, 12);
            }
            if(r==5 || r==6){
            	ML_bmp_or_cl(marteauDroite, barresX-19, barresY+19, 18, 14);
                ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+19, 18, 14);
                ML_bmp_or_cl(marteauDroite, barresX-19, barresY+27+38, 18, 14);
                ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+27+38, 18, 14);
            }
            Sleep(50);
            r = r+1;
            if(r==8){
                r=1;
            }
            ML_bmp_or_cl(GetReady, 0, 0, 128, 64);
            ML_bmp_and_cl(GetReady1, 0, 0, 128, 64);
            ML_display_vram();
            Sleep(100); // PRESS TO STRART
        }                                                                                // PRESS TO STRART FIN
        barresX1=128;             // INIT ENTRE PARTIES
        barresX2=192;
        barresY1 = rand()%(24)-24;
        barresY2 = rand()%(24)-24;
        r = 1;
        nuagesX = 128;
        copterX = 35;
        copterY = 24;
        direction = 1;
        preDirection = 3;
        touche = 0;
        rotation = 1;
        locale = 1;
        timer = 0;
        score = 0;
        start=1;
        newScore = 0;
        while(!(IsKeyDown(KEY_CTRL_EXIT)) && !colision){
            Sleep(30);
            ML_clear_vram();
            if((copterY<barresY1+25 || copterY+16>barresY1+25+interval ) && copterX<barresX1 && copterX+17>barresX1-5){                //COLISIONS
            	colision = 1;
            }
            if((copterY<barresY2+25 || copterY+16>barresY2+25+interval ) && copterX<barresX2 && copterX+17>barresX2-5){
            	colision = 1;
            }
            if(r<=2){
            	if(((copterY<barresY1+19 && copterY+16>barresY1+9) || (copterY<barresY1+19+14+interval && copterY+16>barresY1+22+interval)) && copterX<barresX1-8 && copterX+17>barresX1-7-14){
            		colision = 1;
            	}
            }
            if(r<=2){
            	if(((copterY<barresY2+19 && copterY+16>barresY2+9) || (copterY<barresY2+19+14+interval && copterY+16>barresY2+22+interval)) && copterX<barresX2-8 && copterX+17>barresX2-7-14){
            		colision = 1;
            	}
            }
            if(r==3 || r==4 || r>= 7){
            	if(((copterY<barresY1+22 && copterY+16>barresY1+14) || (copterY<barresY1+25+12+interval && copterY+16>barresY1+27+interval)) && copterX<barresX1-8 && copterX+17>barresX1-7-13){
            		colision = 1;
            	}
            }
            if(r==3 || r==4 || r>= 7){
            	if(((copterY<barresY2+22 && copterY+16>barresY2+14) || (copterY<barresY2+25+12+interval && copterY+16>barresY2+27+interval)) && copterX<barresX2-8 && copterX+17>barresX2-7-13){
            		colision = 1;
            	}
            }
            if(r==5 || r==6){
            	if(((copterY<barresY1+27 && copterY+16>barresY1+17) || (copterY<barresY1+25+16+interval && copterY+16>barresY1+30+interval)) && copterX<barresX1-8 && copterX+17>barresX1-7-14){
            		colision = 1;
            	}
            }
            if(r==5 || r==6){
            	if(((copterY<barresY2+27 && copterY+16>barresY2+17) || (copterY<barresY2+25+16+interval && copterY+16>barresY2+30+interval)) && copterX<barresX2-8 && copterX+17>barresX2-7-14){
            		colision = 1;
            	}
            }                                                                                                                         // COLISIONS FIN
            ML_bmp_or_cl(nuages, nuagesX, 0, 128, 64);           //nuages
            ML_bmp_or_cl(nuages, nuagesX-128, 0, 128, 64);
            ML_bmp_or_cl(nuages, nuagesX+128, 0, 128, 64);
            barresX = barresX2;                             // APPEL DE BARRES
            barresY = barresY2;
            barresFonc();
            barresX2 = barresX;
            barresY2 = barresY;
            barresX = barresX1;
            barresY = barresY1;
            barresFonc();
            barresX1 = barresX;
            barresY1 = barresY;
            if(start){                                           //sol tant que start
            	ML_bmp_or_cl(sol, barresX-128, 0, 50, 64);
            	ML_bmp_and_cl(sol, barresX-128, 0, 50, 64);
                if(barresX-128>-10)
            	copterX = copterX+1;
            	if(nuagesX == barresX+78){
            		start = 0;
            	}
            }
            //if(IsKeyDown(KEY_CTRL_EXE) && direction){
            //	if(direction == 1){
            //    	preDirection = 2;
            //    }
            //    if(direction == 2){
            //    	preDirection = 1;
            //    }
            //    direction = 0;
            //    timer = 0;
            //}
            if((IsKeyDown(KEY_CHAR_7)|| IsKeyDown(KEY_CTRL_EXE))&& direction == 1 && timer>3){        //GESTION DES TOUCHES
            	preDirection = 2;
            	direction = 0;
            	timer = 0;
            }
            if((IsKeyDown(KEY_CTRL_EXE) || IsKeyDown(KEY_CHAR_0))&& direction == 2 && timer>3){
            	preDirection = 1;
            	direction = 0;
            	timer = 0;
            }
            Sleep(70);
            switch(direction){                                  //copter
            case 0:
            	if(rotation){
            	    ML_bmp_or_cl(swing, copterX, copterY, 15, 13);
            	    ML_bmp_and_cl(swingblack, copterX, copterY, 15, 13);
            	}else if(!rotation){
            		ML_bmp_or_cl(swing1, copterX, copterY, 15, 13);
            	    ML_bmp_and_cl(swing1black, copterX, copterY, 15, 13);
            	}
            	break;   //Centre
            case 1:
            	if(rotation){
            	    ML_bmp_or_cl(swing2, copterX+2, copterY+1, 16, 17);
            	    ML_bmp_and_cl(swing2black, copterX+2, copterY+1, 16, 17);
            	}else if(!rotation){
            		ML_bmp_or_cl(swing21, copterX+2, copterY+1, 16, 17);
            	    ML_bmp_and_cl(swing21black, copterX+2, copterY+1, 16, 17);
            	}
            	break;  //Droite
            case 2:
            	if(rotation){
            	    ML_bmp_or_cl(swing3, copterX-4, copterY+2, 16, 17);
            	    ML_bmp_and_cl(swing3black, copterX-4, copterY+2, 16, 17);
            	}else if(!rotation){
            		ML_bmp_or_cl(swing31, copterX-4, copterY+2, 16, 17);
            	    ML_bmp_and_cl(swing31black, copterX-4, copterY+2, 16, 17);
            	}
            	break; //Gauche
            }
            if(preDirection<3){
            	direction = preDirection;
            	preDirection = 3;
            }
            r = r+1;
            timer = timer+1;
            if(r==8){
                r=1;
            }
            if(copterX == barresX1 || copterX == barresX2 || copterX+1 == barresX1 || copterX+1 == barresX2){
            	score = score+1;
            }
            if (rotation==1){
            	rotation = 0;
            } else if(rotation==0){
            	rotation = 1;
            }
            if(direction==1 && copterY<47){
            	copterY = copterY+timer;
            }else if(direction==2 && copterY>1){
            	copterY = copterY-timer;
            }
            if (nuagesX==-128){
                nuagesX=128;
            }
            if(r==3){
                nuagesX = nuagesX - 1;
            }
            if(score<10){
                switch(score){
                case 0:
                    ML_bmp_or_cl(n0, 119, 30, 7, 5);
                    ML_bmp_and_cl(n0, 119, 30, 7, 5);
                    break;
                case 1:
                    ML_bmp_or_cl(n1, 119, 30, 7, 5);
                    ML_bmp_and_cl(n1, 119, 30, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 119, 30, 7, 5);
                    ML_bmp_and_cl(n2, 119, 30, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 119, 30, 7, 5);
                    ML_bmp_and_cl(n3, 119, 30, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 119, 30, 7, 5);
                    ML_bmp_and_cl(n4, 119, 30, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 119, 30, 7, 5);
                    ML_bmp_and_cl(n5, 119, 30, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 119, 30, 7, 5);
                    ML_bmp_and_cl(n6, 119, 30, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 119, 30, 7, 5);
                    ML_bmp_and_cl(n7, 119, 30, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 119, 30, 7, 5);
                    ML_bmp_and_cl(n8, 119, 30, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 119, 30, 7, 5);
                    ML_bmp_and_cl(n9, 119, 30, 7, 5);
                    break;
                }   //AFFICHAGE score (il y a peut etre un moyen plus court mais celui la est plus simple)
            }
            if(score>=10){
                switch(score/10){
                case 1:
                    ML_bmp_or_cl(n1, 119, 30, 7, 5);
                    ML_bmp_and_cl(n1, 119, 30, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 119, 30, 7, 5);
                    ML_bmp_and_cl(n2, 119, 30, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 119, 30, 7, 5);
                    ML_bmp_and_cl(n3, 119, 30, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 119, 30, 7, 5);
                    ML_bmp_and_cl(n4, 119, 30, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 119, 30, 7, 5);
                    ML_bmp_and_cl(n5, 119, 30, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 119, 30, 7, 5);
                    ML_bmp_and_cl(n6, 119, 30, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 119, 30, 7, 5);
                    ML_bmp_and_cl(n7, 119, 30, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 119, 30, 7, 5);
                    ML_bmp_and_cl(n8, 119, 30, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 119, 30, 7, 5);
                    ML_bmp_and_cl(n9, 119, 30, 7, 5);
                    break;
                }
                switch(score%10){
                case 0:
                    ML_bmp_or_cl(n0, 119, 36, 7, 5);
                    ML_bmp_and_cl(n0, 119, 30, 7, 5);
                    break;
                case 1:
                    ML_bmp_or_cl(n1, 119, 36, 7, 5);
                    ML_bmp_and_cl(n1, 119, 30, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 119, 36, 7, 5);
                    ML_bmp_and_cl(n2, 119, 30, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 119, 36, 7, 5);
                    ML_bmp_and_cl(n3, 119, 30, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 119, 36, 7, 5);
                    ML_bmp_and_cl(n4, 119, 30, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 119, 36, 7, 5);
                    ML_bmp_and_cl(n5, 119, 30, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 119, 36, 7, 5);
                    ML_bmp_and_cl(n6, 119, 30, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 119, 36, 7, 5);
                    ML_bmp_and_cl(n7, 119, 30, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 119, 36, 7, 5);
                    ML_bmp_and_cl(n8, 119, 30, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 119, 36, 7, 5);
                    ML_bmp_and_cl(n9, 119, 30, 7, 5);
                    break;
                }
            }
            if(score>=100){
            	switch(score/100){
                case 1:
                    ML_bmp_or_cl(n1, 119, 24, 7, 5);
                    ML_bmp_and_cl(n1, 119, 30, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 119, 24, 7, 5);
                    ML_bmp_and_cl(n2, 119, 30, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 119, 24, 7, 5);
                    ML_bmp_and_cl(n3, 119, 30, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 119, 24, 7, 5);
                    ML_bmp_and_cl(n4, 119, 30, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 119, 24, 7, 5);
                    ML_bmp_and_cl(n5, 119, 30, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 119, 24, 7, 5);
                    ML_bmp_and_cl(n6, 119, 30, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 119, 24, 7, 5);
                    ML_bmp_and_cl(n7, 119, 30, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 119, 24, 7, 5);
                    ML_bmp_and_cl(n8, 119, 30, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 119, 24, 7, 5);
                    ML_bmp_and_cl(n9, 119, 30, 7, 5);
                    break;
                }
            }
            ML_display_vram();
            Sleep(10);             //JEU
        }                                                              //JEU FIN
        if(colision=1){
        	ML_bmp_or_cl(broken1, copterX-2, copterY, 15, 26);
        	ML_display_vram();
        	Sleep(400);
            for (r = 50; r <= 100; r++)
            {
            	ML_clear_vram();
            	if(r<52){ML_bmp_or_cl(broken1, copterX-4, copterY, 15, 26);}             //CHUTE
            	if(r>=52 && r<54){ML_bmp_or_cl(broken2, copterX-4, copterY, 15, 26);}
            	if(r>=54 && r<60){ML_bmp_or_cl(broken3, copterX-4, copterY, 15, 26);}
            	if(r>=60 && r<99){ML_bmp_or_cl(broken4, copterX-4, copterY, 15, 26);}
            	if(r>=99){ML_bmp_or_cl(broken5, copterX-4, copterY, 15, 26);}
            	ML_bmp_or_cl(nuages, nuagesX, 0, 128, 64);
                ML_bmp_or_cl(nuages, nuagesX-128, 0, 128, 64);
                ML_bmp_or_cl(nuages, nuagesX+128, 0, 128, 64);
            	ML_bmp_or_cl(sol, r-100, 0, 50, 64);
            	ML_display_vram();
            	nuagesX= nuagesX+10;
            	if(nuagesX>128){
            		nuagesX=-128;
            	}
            	Sleep(100-r);
            }
        }
        Sleep(500);
        while(1){                                                      //GAME OVER
    	    if(!IsKeyDown(KEY_CTRL_EXE)){break;}
    	}
    	if(score>HIscore){
    		HIscore = score;
    		newScore = 1;
    	}
        while(colision){
        	ML_clear_vram();
        	barresX= 113;
            barresY= -3;
        	if(r<=2){                                           //marteaux
            	ML_bmp_or_cl(marteauGauche, barresX-19, barresY+11, 18, 14);
                ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+11, 18, 14);
                ML_bmp_or_cl(marteauGauche, barresX-19, barresY+19+38, 18, 14);
                ML_bmp_and_cl(marteauGauche1, barresX-19, barresY+19+38, 18, 14);
            }
            if(r==3 || r==4 || r>= 7){
            	ML_bmp_or_cl(marteauCentre, barresX-18, barresY+16, 17, 12);
                ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+16, 17, 12);
                ML_bmp_or_cl(marteauCentre, barresX-18, barresY+24+38, 17, 12);
                ML_bmp_and_cl(marteauCentre1, barresX-18, barresY+24+38, 17, 12);
            }
            if(r==5 || r==6){
            	ML_bmp_or_cl(marteauDroite, barresX-19, barresY+19, 18, 14);
                ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+19, 18, 14);
                ML_bmp_or_cl(marteauDroite, barresX-19, barresY+27+38, 18, 14);
                ML_bmp_and_cl(marteauDroite1, barresX-19, barresY+27+38, 18, 14);
            }
            Sleep(50);
            r = r+1;
            if(r==8){
                r=1;
            }
            Sleep(100);
        	ML_bmp_or_cl(GameOver, 0, 0, 128, 64);
        	ML_bmp_and_cl(GameOver1, 0, 0, 128, 64);
        	if(score<10){
                switch(score){
                case 0:
                    ML_bmp_or_cl(n0, 70, 47, 7, 5);
                    break;
                case 1:
                    ML_bmp_or_cl(n1, 70, 47, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 70, 47, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 70, 47, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 70, 47, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 70, 47, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 70, 47, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 70, 47, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 70, 47, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 70, 47, 7, 5);
                    break;
                }               //AFFICHAGE score (il y a peut etre un moyen plus court mais celui la est plus simple)
            }
            if(score>=10){
                switch(score/10){
                case 1:
                    ML_bmp_or_cl(n1, 70, 47, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 70, 47, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 70, 47, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 70, 47, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 70, 47, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 70, 47, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 70, 47, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 70, 47, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 70, 47, 7, 5);
                    break;
                }
                switch(score%10){
                case 0:
                    ML_bmp_or_cl(n0, 70, 41, 7, 5);
                    break;
                case 1:
                    ML_bmp_or_cl(n1, 70, 41, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 70, 41, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 70, 41, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 70, 41, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 70, 41, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 70, 41, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 70, 41, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 70, 41, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 70, 41, 7, 5);
                    break;
                }
            }
            if(score>=100){
            	switch(score/100){
                case 1:
                    ML_bmp_or_cl(n1, 70, 41, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 70, 41, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 70, 41, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 70, 41, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 70, 41, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 70, 41, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 70, 41, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 70, 41, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 70, 41, 7, 5);
                    break;
                }
            }
            if(HIscore<10){
                switch(HIscore){
                case 0:
                    ML_bmp_or_cl(n0, 55, 47, 7, 5);
                    break;
                case 1:
                    ML_bmp_or_cl(n1, 55, 47, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 55, 47, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 55, 47, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 55, 47, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 55, 47, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 55, 47, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 55, 47, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 55, 47, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 55, 47, 7, 5);
                    break;
                }
            }
            if(HIscore>=10){
                switch(HIscore/10){
                case 1:
                    ML_bmp_or_cl(n1, 55, 47, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 55, 47, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 55, 47, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 55, 47, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 55, 47, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 55, 47, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 55, 47, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 55, 47, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 55, 47, 7, 5);
                    break;
                }
                switch(HIscore%10){
                case 0:
                    ML_bmp_or_cl(n0, 55, 41, 7, 5);
                    break;
                case 1:
                    ML_bmp_or_cl(n1, 55, 41, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 55, 41, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 55, 41, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 55, 41, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 55, 41, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 55, 41, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 55, 41, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 55, 41, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 55, 41, 7, 5);
                    break;
                }
            }
            if(HIscore>=100){
            	switch(HIscore/100){
                case 1:
                    ML_bmp_or_cl(n1, 55, 41, 7, 5);
                    break;
                case 2:
                    ML_bmp_or_cl(n2, 55, 41, 7, 5);
                    break;
                case 3:
                    ML_bmp_or_cl(n3, 55, 41, 7, 5);
                    break;
                case 4:
                    ML_bmp_or_cl(n4, 55, 41, 7, 5);
                    break;
                case 5:
                    ML_bmp_or_cl(n5, 55, 41, 7, 5);
                    break;
                case 6:
                    ML_bmp_or_cl(n6, 55, 41, 7, 5);
                    break;
                case 7:
                    ML_bmp_or_cl(n7, 55, 41, 7, 5);
                    break;
                case 8:
                    ML_bmp_or_cl(n8, 55, 41, 7, 5);
                    break;
                case 9:
                    ML_bmp_or_cl(n9, 55, 41, 7, 5);
                    break;
                }
            }
            if(HIscore>=20 && HIscore<30){
            	ML_bmp_or_cl(medal3, 58, 5, 17, 19);
            	ML_bmp_and_cl(medal31, 58, 5, 17, 19);
            }
            if(HIscore>=30 && HIscore<60){
            	ML_bmp_or_cl(medal2, 58, 5, 17, 19);
            	ML_bmp_and_cl(medal21, 58, 5, 17, 19);
            }
            if(HIscore>=60 && HIscore<80){
            	ML_bmp_or_cl(medal1, 58, 5, 17, 19);
            	ML_bmp_and_cl(medal11, 58, 5, 17, 19);
            }
            if(HIscore>=80){
            	ML_bmp_or_cl(medal0, 58, 5, 17, 19);
            	ML_bmp_and_cl(medal01, 58, 5, 17, 19);
            }
            if(newScore && r>4){ML_bmp_or_cl(new, 55, 24, 7, 16);}
        	ML_display_vram();
        	if (IsKeyDown(KEY_CHAR_PMINUS)){
        		while(IsKeyDown(KEY_CHAR_PMINUS)){
                    ML_rectangle(29, 34, 39, 57, 0, 0, 3);
                    ML_display_vram();
        	    }
                creditsFonc();
            }
            if(IsKeyDown(KEY_CTRL_EXE) || IsKeyDown(KEY_CTRL_EXIT)){
            	while(IsKeyDown(KEY_CTRL_EXE)){
                    ML_rectangle(29, 5, 39, 28, 0, 0, 3);
                    ML_display_vram();
        	    } 
            	colision = 0;                                           //GAME OVER FIN
            }
        }
    }
}
void creditsFonc(){
    while(!(IsKeyDown(KEY_CTRL_EXIT))){
        ML_clear_vram();
        ML_bmp_or_cl(Credits, 0, 0, 128, 64);
        ML_bmp_and_cl(Credits1, 0, 0, 128, 64);
        ML_display_vram();
        if(IsKeyDown(KEY_CTRL_EXIT)){
            while(IsKeyDown(KEY_CTRL_EXIT)){
                ML_rectangle(63, 0, 73, 8, 0, 0, 3);
                ML_display_vram();
            }
            break;
        }
    }
}

//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section

